Platform Specific Methods - Refresh PSN Auth Token
Uses the supplied OAuth code to refresh the internally cached player PlayStation ™️ Network auth token
POST https://titleId.playfabapi.com/Client/RefreshPSNAuthToken
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| AuthCode | True |
string |
Auth code returned by PlayStation ™️ Network OAuth system. |
| RedirectUri | True |
string |
Redirect URI supplied to PlayStation ™️ Network when requesting an auth code |
| IssuerId |
number |
Id of the PlayStation ™️ Network issuer environment. If null, defaults to production environment. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Empty |
|
|
Refresh |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
EmptyResponse
RefreshPSNAuthTokenRequest
| Name | Type | Description |
|---|---|---|
| AuthCode |
string |
Auth code returned by PlayStation ™️ Network OAuth system. |
| IssuerId |
number |
Id of the PlayStation ™️ Network issuer environment. If null, defaults to production environment. |
| RedirectUri |
string |
Redirect URI supplied to PlayStation ™️ Network when requesting an auth code |
Error Codes
| Name | Code |
|---|---|
| DownstreamServiceUnavailable | 1127 |
| InvalidPSNAuthCode | 1092 |
| PSNInaccessible | 1152 |
"PlayStation" is a registered trademark or trademark of Sony Interactive Entertainment Inc.